Show Settings
curl --request GET \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/settings \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/settings"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"billing_defaults": {
"default_billing_day": 123,
"default_currency": "<string>"
},
"notification_enabled": true,
"retry_enabled": true,
"auto_create_subscription": true,
"channels_deprecation": {
"deprecated": true,
"message": "<string>",
"billing_notifications_channels": {
"email": true,
"whatsapp": true
},
"contracts_settings_path": "<string>"
},
"fiscal_data": {
"legal_name": "<string>",
"tax_id": "<string>",
"tax_id_type": "<string>",
"fiscal_address": "<string>",
"fiscal_country_code": "<string>",
"tax_regime": "<string>",
"invoice_email": "<string>"
}
}Treasury Settings
Show Settings
Get treasury settings for the account
GET
/
api
/
v1
/
accounts
/
{account_id}
/
treasury
/
settings
Show Settings
curl --request GET \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/settings \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/settings"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"billing_defaults": {
"default_billing_day": 123,
"default_currency": "<string>"
},
"notification_enabled": true,
"retry_enabled": true,
"auto_create_subscription": true,
"channels_deprecation": {
"deprecated": true,
"message": "<string>",
"billing_notifications_channels": {
"email": true,
"whatsapp": true
},
"contracts_settings_path": "<string>"
},
"fiscal_data": {
"legal_name": "<string>",
"tax_id": "<string>",
"tax_id_type": "<string>",
"fiscal_address": "<string>",
"fiscal_country_code": "<string>",
"tax_regime": "<string>",
"invoice_email": "<string>"
}
}Authorizations
Path Parameters
The numeric ID of the account